*
*=== Rfrndx ===========================================================*
*
      DOUBLE PRECISION FUNCTION RFRNDX ( WVLNGT, OMGPHO, MMAT )

      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
*
*----------------------------------------------------------------------*
* *
* user defined ReFRaction iNDeX: *
* *
* Created on 19 September 1998 by Alfredo Ferrari & Paola Sala *
* Infn - Milan *
* *
* Last change on 25-Oct-02 by Alfredo Ferrari *
* *
* *
*----------------------------------------------------------------------*
*
      INCLUDE '(FLKMAT)'
*
* Check on the material number
*
      IF ( MMAT .NE. 27 ) THEN
         CALL FLABRT ( 'RFRNDX', 'MMAT IS NOT SCINTILLATOR!' )
      END IF
*
      WL = WVLNGT * 1.D+07
      RFRNDX = ONEONE
     & + 9.39373D+00*(4.15D-08/(0.000087892D+00 - WL**(-2))
     & + 2.075D-07 / (0.000091012D+00 - WL**(-2))
     & + 4.333D-06 / (0.00021402D+00 - WL**(-2)))
      RETURN
*=== End of function Rfrndx ===========================================*
      END


